Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Interface EAEnumerator

public interface EAEnumerator
extends java.util.Enumeration

Provides for enumeration of extended attributes of a given file, which can have multiple attributes.

This interface declares an enumeration interface for obtaining the extended attributes from a given file.

See Also:
  `ExtendedAttribute`

Field Summary
`static java.lang.String` | `ATTRIBUTE_ID` Attribute ID of EAEnumerator
`static java.lang.String` | `COMPARE_SYNTAX_STRING` The Schema Syntax of EAEnumerator.
`static java.lang.String` | `SCHEMA_BINDING_NAME` The schema binding name of EAEnumerator.

Method Summary
`boolean` | `hasMore()` Determines if the Enumerator has more elements.
`ExtendedAttribute` | `next()` Returns the next element in the EA enumeration.

Methods inherited from interface java.util.Enumeration
`hasMoreElements, nextElement`

Field Detail

### ATTRIBUTE_ID

    public static final java.lang.String ATTRIBUTE_ID

  Attribute ID of EAEnumerator

  (ATTRIBUTE_ID = com.novell.service.file.nw.ExtendedAttribute.ATTRIBUTE_ID)

### SCHEMA_BINDING_NAME

    public static final java.lang.String SCHEMA_BINDING_NAME

  The schema binding name of EAEnumerator.

  (SCHEMA_BINDING_NAME = com.novell.service.file.nw.ExtendedAttribute.SCHEMA_BINDING_NAME)

  See Also:
    `ExtendedAttribute`

### COMPARE_SYNTAX_STRING

    public static final java.lang.String COMPARE_SYNTAX_STRING

  The Schema Syntax of EAEnumerator.

  (COMPARE_SYNTAX_STRING = com.novell.service.file.nw.ExtendedAttribute.COMPARE_SYNTAX_STRING)

  See Also:
    `ExtendedAttribute`

Method Detail

### next

    public ExtendedAttribute next()

  Returns the next element in the EA enumeration.

  This method is used to return the typed ExtendedAttribute value.

  Returns:
    The next ExtendedAttribute in the enumeration.
  Throws:
    NoSuchElementException - When no next element is found.
  See Also:
    `ExtendedAttribute`

### hasMore

    public boolean hasMore()

  Determines if the Enumerator has more elements.

  This method is used to report if more elements are available. It is a hasMoreElements short cut.

  Returns:
    A boolean set to TRUE if there are more elements to be returned; otherwise FALSE is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD